Linux_base-fc6 on a tinderbox

Boris Samorodov bsam at ipt.ru
Thu Apr 17 08:39:12 EDT 2008


On Thu, 17 Apr 2008 09:18:55 +0200 Willy Picard wrote:

> Thanks a lot for your answer. However, my question was badly formulated:
> I wonder if I can use tinderbox on a FBSD 7.0 i386 machine with
> compat.linux.osrelease=2.4.2 to create a linux_base-fc6 package.
> I don't want to modify the "compat.linux.osrelease" but I need the
> linux_base-fc6 package for another computer (that is why I am using
> tinderbox).

OK, I see.

> If it is possible, could you please give me some clues about the
> procedure to follow?

The port itself must run with osrelease 2.6.16 because of linux
ldconfig (from the port itself) which won't run otherwise. If you
try then ldconfig will give an error (like) "kernel too old".

BTW, if you change osrelease to 2.6.16 then all linux (fc4) ports
should run OK.


WBR
-- 
Boris Samorodov (bsam)
Research Engineer, http://www.ipt.ru Telephone & Internet SP
FreeBSD committer, http://www.FreeBSD.org The Power To Serve


More information about the tinderbox-list mailing list